Get information about a "Recipients" node
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/recipientLists
Path Parameters
- clientIdstringrequiredDescription
- campaignIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestRecipientListsNode
- nodeIdstringDescription
- successorNodeIdstringDescription
- recipientListIdsinteger[]Description
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
- gridLocationPointDescription
- xinteger<int32>Formatint32
- yinteger<int32>Formatint32
404
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/recipientLists \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/recipientLists", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/recipientLists")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/recipientLists"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The "Recipients" node was retrieved successfully.
{
"nodeId": "",
"successorNodeId": "",
"recipientListIds": [
0
],
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
],
"gridLocation": {
"x": "",
"y": ""
}
}404
// The "Recipients" node could not be found. Ensure that the required parameters such as "campaignId" or "nodeId" are correct and the "Recipients" node exists.